"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

/**
 * Creates a generic reducer
 * @param {object} initialState The initial state
 * @param {object} additionalHandlers An associative array of action handlers. The string name is the action type and the value is a function taking in 'state' and 'action', returning the new state.
 */
exports.default = function () {
  var initialState = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var handlers = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  return function () {
    var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
    var action = arguments[1];
    return handlers[action.type] ? handlers[action.type](state, action) : state;
  };
};

module.exports = exports["default"];